Advanced search  

News:

CPG Release 1.6.26
Correct PHP8.2 issues with user and language managers.
Additional fixes for PHP 8.2
Correct PHP8 error with SMF 2.0 bridge.
Correct IPTC supplimental category parsing.
Download and info HERE

Pages: [1]   Go Down

Author Topic: Template error Failed to find block 'contact' after 1.5.12 upgrade  (Read 4768 times)

0 Members and 1 Guest are viewing this topic.

ro1960

  • Coppermine newbie
  • Offline Offline
  • Posts: 10

I am having trouble with the 1.5.12 upgrade. I was running 1.4 before.

I am getting this error. I believe I didn't turn off the plugin "contact" before the upgrade. When I realized that I deleted the entry in the corresponding table and removed its directory as well. Still the error.

I couldn't find a solution in the forum, so forgive me if this was asked and solved elsewhere, just point me to the thread. Thanks.

Code: [Select]
Template error
Failed to find block 'contact' (#<!-- BEGIN contact -->(.*?)<!-- END contact -->#s) in :
                                            <h3>Main Menu</h3>
                                            <ul>
<!-- BEGIN home -->
                                            <li><a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></li>
<!-- END home -->
<!-- BEGIN my_gallery -->
                                            <li><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></li>
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
                                            <li><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></li>
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
                                            <li><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></li>
<!-- END my_profile -->
<!-- BEGIN faq -->
                                            <li><a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></li>
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                            <li><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></li>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                                            <li><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></li>
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                            <li><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></li>
<!-- END upload_pic -->
<!-- BEGIN register -->
                                            <li><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></li>
<!-- END register -->
<!-- BEGIN login -->
                                            <li><a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></li>
<!-- END login -->
<!-- BEGIN logout -->
                                            <li><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a></li>
<!-- END logout -->
                                            </ul>
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Template error Failed to find block 'contact' after 1.5.12 upgrade
« Reply #1 on: March 15, 2011, 09:04:55 am »

Probably your theme isn't compatible to cpg1.5.x. Try to use the curve theme by adding
Quote
?theme=curve
to the url of your gallery, e.g. http://coppermine-gallery.net/demo/cpg15x/index.php?theme=curve
Logged

ro1960

  • Coppermine newbie
  • Offline Offline
  • Posts: 10
Re: Template error Failed to find block 'contact' after 1.5.12 upgrade
« Reply #2 on: March 19, 2011, 12:16:21 pm »

Thanks, this was the reason. I updated the theme files.

I then did a version check and I had to update a bunch of files. Which I did but all the files have the "Coppermine version: 1.5.13" text in them. I thought the newest vesion was 1.5.12. Is it a typo? The version check result shows "Your file is newer than anticipated." for these files.

Thank you
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Template error Failed to find block 'contact' after 1.5.12 upgrade
« Reply #3 on: March 19, 2011, 12:29:52 pm »

cpg1.5.13 is the current development version. If you downloaded your files from the svn than that'S expected. If you use the official cpg1.5.12 package that shouldn't happen.
Logged

ro1960

  • Coppermine newbie
  • Offline Offline
  • Posts: 10
Re: Template error Failed to find block 'contact' after 1.5.12 upgrade
« Reply #4 on: March 19, 2011, 05:31:10 pm »

I just followed the links provided on the version check result page. If these versions shouldn't be used, the links on the version check page should be changed.
Logged
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 19 queries.